#!/bin/sh

SSH=/usr/local/bin/ssh
USERNAME=ucron

usage()
{
	echo "usage: $0 ls hostname"
	echo "       $0 upload hostname username < file"
	echo "       $0 download hostname username"
	echo "       $0 script hostname local remote"
	echo "       $0 delscript hostname filename"

	exit
}

case "$1" in
ls )
	echo ls | $SSH -l $USERNAME $2 2> /dev/null
	;;
upload )
	(echo upload; echo $3; cat) | $SSH -l $USERNAME $2 2> /dev/null
	;;
download )
	(echo download; echo $3) | $SSH -l $USERNAME $2 2> /dev/null
	;;
script )
	(echo script; echo $4; cat $3) | $SSH -l $USERNAME $2 2> /dev/null
	;;
delscript )
	(echo delscript; echo $3) | $SSH -l $USERNAME $2 2> /dev/null
	;;
* )
	usage
	;;
esac

